beginStateMachine()

	-- called when questor builds up all known questScripts
	onEnter(function(msg)
		print("questErotic8 entered");
		setState("initial");
	end )
	
	-- on game over: relationship conditions get reset to 0 and all quests are reset to initial
	onMsg("questreset", function(msg)
		setState("initial");
	end ) 
---------------------------------------------------------------------------------------------------------------------------------------	
	
	state("initial") 
		onMsg("checkCondition", function(msg)
			local mike = getParent().getParent().getCharacter(MIKE);
			local elaine = getParent().getParent().getCharacter(ELAINE);

			if ( -- condition here
		----------------
				min(	mike.getRelationshipCondition(ELAINE, REL_EROTIC),
					elaine.getRelationshipCondition(MIKE, REL_EROTIC)) >= 8)
		----------------
			then
				-- wait for sex
				setState("comeOn");
			end
		end )
	
	
	state("comeOn")
		onMsg("queueInteraction", function(msg)
			local mike = getParent().getParent().getCharacter(MIKE);
			local elaine = getParent().getParent().getCharacter(ELAINE);
			
			if (msg.data == "sexBed" or msg.data == "pettingBed") then
	--			setState("hadSex");
				setState("talktome");
				sendDelayedMsgThis("talking",3000,"dialogErotic8");
			end
		end )
	
	
	--state("hadSex")
	--	-- nicht optimal, erst abzuspielen, sobald eine andere Aktion gequeued wurde
	--	onMsg("checkCondition", function(msg)
	--		local ibed = getInteractionBed(this, currentCharacter);
	--		if (not ibed) then
	--			elaine.pushCommand("pm_talkCutscene", "talkCutscene", mike, "");				
	--			setState("talktome");
	--		end
	--	end )
	
	
		
		
	state("talktome")
		-- assoon as arrived - start dialog
		onMsg("talking", function(msg)
			if (msg.data == "dialogErotic8") then
				popupConversation("dialogErotic8");
				setState("donetalktome");
			end;
		end )
		
	state("donetalktome")
		----------------
		onMsg("yes", function(msg)
			local mike = getParent().getParent().getCharacter(MIKE);
			local elaine = getParent().getParent().getCharacter(ELAINE);

			mike.cancelCurrentActivity();
			elaine.cancelCurrentActivity();
			
			setState("done");			
		end )				
		
---------------------------------------------------------------------------------------------------------------------------------------	

		
	state("done")
	
	-- sackgasse hier
		
		
		
endStateMachine()




